org.springframework.web.reactive

## Interface HandlerResultHandler

All Known Implementing Classes:
  ResponseBodyResultHandler, ResponseEntityResultHandler, ServerResponseResultHandler, ViewResolutionResultHandler

    public interface HandlerResultHandler

Process the `HandlerResult`, usually returned by an `HandlerAdapter`.

Since:
  5.0
Author:
  Rossen Stoyanchev, Sebastien Deleuze

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<Void>` `handleResult(org.springframework.web.server.ServerWebExchange exchange, HandlerResult result)` Process the given result modifying response headers and/or writing data to the response.
`boolean` `supports(HandlerResult result)` Whether this handler supports the given `HandlerResult`.

### Method Detail

#### supports

    boolean supports(HandlerResult result)

Whether this handler supports the given `HandlerResult`.

Parameters:
  `result` - the result object to check
Returns:
  whether or not this object can use the given result

#### handleResult

    reactor.core.publisher.Mono<Void> handleResult(org.springframework.web.server.ServerWebExchange exchange,
                                                   HandlerResult result)

Process the given result modifying response headers and/or writing data to the response.

Parameters:
  `exchange` - current server exchange
  `result` - the result from the handling
Returns:
  `Mono<Void>` to indicate when request handling is complete.